%define pkgname %(echo %name | cut -d- -f2-)
Name:          python-build
Version:       1.2.1
Release:       1mamba
Summary:       A simple, correct PEP517 package builder
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/pypa/build
Source:        https://pypi.debian.net/build/build-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(packaging)
BuildRequires: python3.11dist(pyproject-hooks)
## AUTOBUILDREQ-END
BuildRequires: libpython3-devel >= 3.11.5

%description
%{summary}.

%if 0%{?with_pyver}
%if "0%{?with_pyver}" == "03"
%define py_requires_append \
Obsoletes:     python-build-py310 <= 1.1.1-1mamba
%endif
%pyver_package
%endif

%prep
%setup -q -n build-%{version}

%build
%if "0%{?with_pyver}" == "03"
# Bootstrap
virtualenv -p %{__python3} env
source env/bin/activate
pip install build installer flit-core
CFLAGS="%{optflags}" python -m build --no-isolation --wheel
%else
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel
%endif

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%if "0%{?with_pyver}" == "03"
# Bootstrap
. ./env/bin/activate
python -m installer --destdir=%{buildroot} --prefix=%{_prefix} dist/*.whl
sed -i "s|$PWD/env/bin/python.*|%{__python3}|" %{buildroot}%{_bindir}/pyproject-build
%else
%{__python} -m installer --destdir=%{buildroot} dist/*.whl
%endif

%if "%{?with_pyver}" != "3"
# Rename any conflicting file outside of python site packages tree
for f in %{_bindir}/pyproject-build; do
   mv %{buildroot}${f}{,-%{?pyappend}}
done
%endif

%files %{?pyappend}
%defattr(-,root,root)
%{_bindir}/pyproject-build*
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}/*
%doc LICENSE

%changelog
* Thu Apr 25 2024 Automatic Build System <autodist@openmamba.org> 1.2.1-1mamba
- automatic version update by autodist

* Sun Mar 24 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.1-2mamba
- obsolete python-build-py310

* Fri Mar 01 2024 Automatic Build System <autodist@openmamba.org> 1.1.1-1mamba
- automatic version update by autodist

* Sat Sep 23 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.3-2mamba
- rebuilt with python3 = 3.11.5

* Thu Sep 07 2023 Automatic Build System <autodist@mambasoft.it> 1.0.3-1mamba
- automatic version update by autodist

* Sat Sep 02 2023 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- automatic version update by autodist

* Mon Mar 06 2023 Automatic Build System <autodist@mambasoft.it> 0.10.0-1mamba
- automatic version update by autodist

* Fri Oct 28 2022 Automatic Build System <autodist@mambasoft.it> 0.9.0-1mamba
- automatic version update by autodist

* Sat May 28 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.0-2mamba
- rebuilt with python 3.10 subpackage

* Mon May 23 2022 Automatic Build System <autodist@mambasoft.it> 0.8.0-1mamba
- automatic version update by autodist

* Fri Jan 14 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.0-1mamba
- package created using the webbuild interface
